<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>StaffPage</title>
  </head>
  <style>
    .style1 {
      font-family: Bookman Old Style;
      font-size: 20px;
    }
    .card {
      background-color: #f5f5f5;
      padding: 30px 150px 30px 150px;

      border-radius: 5px;
      font-size: large;
      
    }
    .btn {
    background-color: #8a0707;
    color: white;
    }
    </style>
  <%- include('partials/header')-%>
<body>
<div class="container">
  <h2 style="text-align: center; font-size: 25px;" class="style1"><b>Student List</b></h2>
  <br>
  <form action="/getname" method="post">
    <div class="style1">
      <label for="sem" class="control-label">Semester :</label>
      <br>
      <select name="sem" id="sem">
        <option value="2019/2020-2">2019/2020-2</option>
        <option value="2019/2020-1">2019/2020-1</option>
        <option value="2018/2019-2">2018/2019-2</option>
        <option value="2018/2019-1">2018/2019-1</option>
      </select>
    </div>
    <br>
      <input type="submit" value="SEARCH" class="btn btn-lg " />
  </form>
  <br>
  <% if (student!="em") { %>
    <div class="card">
    <div class="card-body">
    <table class="style1">
        <tr>
            <td width="80%" style="text-align: center;"><b></b></td>
            <td width="20%" style="text-align: center;"></td>
        </tr>
        <% for (var i=0; i < student.length; i++) { %>
        <tr>
            <td height="50px" width="80%"><%= student[i].name %></td>
            <td width="20%" style="text-align: center;">
              <% for (var j=0; j < student[i].Result_ID.length; j++) { %>
                <form method="post"  action="/getslip">
                  <input type="hidden" name="Student" value="<%= student[i]._id %>"/>
                  <input type="hidden" name="Result" value="<%= student[i]._doc.Result_ID[j].Id %>"/>
                  <button type="submit" class="btn btn-lg ">VIEW SLIP</button>
                </form>
              <% } %>
            </td>
        </tr>
        <% } %>  
    </table>
  </div>
  </div>
  <% } %> 
</div>
</body>
<%- include('partials/footer')-%>
</html>